<?php // dnsform.php: chok(tue 9 jul 2002)

require_once('draw.php');


// keep sorted in IP order so there's no need to add the
// overhead of sorting during execution

$dns_subnets = array(
  array('ip_regex' => '199.77.145.*', 'desc' => 'Ok'),
  array('ip_regex' => '199.77.155.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.224.*',
		'desc' => 'Not found in Ecescan database'),
  array('ip_regex' => '130.207.225.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.226.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.227.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.228.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.229.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.230.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.231.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.232.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.233.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.234.*',
		'desc' => 'Not found in Ecescan database'),
  array('ip_regex' => '130.207.235.*', 'desc' => 'Ok'),
  array('ip_regex' => '130.207.236.*',
		'desc' => 'No IP addresses found in DNS file(s):<br>
			/export/home1/dns_data/236.in-addr.arpa'),
  array('ip_regex' => '130.207.237.*',
		'desc' => 'Not found in Ecescan database'),
  array('ip_regex' => '130.207.238.*',
		'desc' => 'Not found in Ecescan database'),
  array('ip_regex' => '130.207.239.*', 'desc' => 'Ok'),
);

?>


<html>
<head>
<title>Select a Subnet</title>
<link rel="stylesheet" href="style.css">
</head>

<body>




<?php

draw_title('Select a Subnet', 0, // 0 - don't show additional stuff
	'home.php', 'Back to Home Page');

require_once('handle_vars.php');

?>




<form action="dns.php" method="post">


<table>
<tr>
	<td width=30 nowrap>&nbsp;</td>
	<td valign=top>
		<br>
		<table cellpadding=0 cellspacing=0>
		<tr>
			<td colspan=3>
            Please select a subnet to view the DNS comparison report:
          	<br><br>
			</td>
		</tr>
		<tr>
			<td height=65 colspan=3 style="border-left:solid 1px #e0e0ff;
				border-top:solid 1px #e0e0ff; border-right:solid 1px #e0e0ff;">
				&nbsp;
			</td>
		</tr>
		<tr>
			<td width=20 nowrap style="border-left:solid 1px #e0e0ff;">&nbsp;</td>
			<td nowrap align=center>
            <b>Subnet:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <select class=textbox name=dns_ip_regex size=1>
            <?php
            // set 1st subnet as default
            if( strlen($dns_ip_regex)==0 )
	            $dns_ip_regex = $dns_subnets[0]['ip_regex'];

            $not_oks = array();
            foreach($dns_subnets as $a):
              // get only 'Ok' subnets
              if( strcasecmp($a['desc'],'Ok') )
	              {$not_oks[] = $a; continue;}

              // print <option>
              $s = $a['ip_regex'];
              print('<option ');
              if( strcmp($dns_ip_regex,$s)==0 ) print('selected ');
              print("value=\"$s\">$s");
            endforeach
            ?>
            </select>
			</td>
			<td width=20 nowrap style="border-right:solid 1px #e0e0ff;">&nbsp;</td>
		</tr>
		<tr>
			<td height=85 colspan=3 style="border-left:solid 1px #e0e0ff;
				border-bottom:solid 1px #e0e0ff; border-right:solid 1px #e0e0ff;">
				&nbsp;
			</td>
		</tr>
		</table>

		<br><br>

		<?php if(sizeof($not_oks)): ?>
	</td>
	<td width=20 nowrap style="border-right:solid 1px #dddddd;">&nbsp;</td>
	<td width=20 nowrap>&nbsp;</td>
	<td valign=top>
			<br>
  		The following subnets do not produce any data:
			<br><br>
			<?php
			require_once('draw_data_table.php');

			$fields = array('Subnet', 'Description');
			$data = array();
			foreach($not_oks as $a)
				$data[] = array($a['ip_regex'], $a['desc']);

			draw_data_table($fields, &$data);
			?>
			<br><br>
		<?php endif; ?>
	</td>
</tr>
</table>





<?=draw_hr();?>




<table>
<tr>
	<td width=30 nowrap>&nbsp;</td>
	<td>
		<?=draw_submit_button('Show DNS Comparison');?>
	</td>
</tr>
</table>


</form>



</body>
</html>
